%define libf_objc_makeflags	-s
%define trunkdate		200511251506
Name: libobjc-lf2
Version: r135
Release: alt0.2

Summary: GNUstep Objective C runtime

License: GPL
Group: System/Libraries
Url: http://www.opengroupware.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://download.opengroupware.org/sources/trunk/%name-trunk-%version-%trunkdate.tar.bz2

#AutoReqProv:	off
# manually removed: sope-appserver-devel libfoundation-devel
# Automatically added by buildreq on Sun Dec 04 2005
BuildRequires: gcc-objc gnustep-make-libFoundation-devel

#%add_findprov_lib_path %_libdir/GNUstep-libFoundation/System/Library/Libraries/ix86/linux-gnu/gnu-fd-nil/
# hack...
Provides: libobjc.so.lf2

%description
GNUstep Objective C runtime.

%package devel
Summary: The header files for the ObjC library
Group: Development/Other
Requires: %name = %version-%release
Requires: gnustep-make-libFoundation-devel
#AutoReqProv:	off


%description devel
GNUstep Objective C development package.

%prep
%setup -q -n libobjc-lf2

%build
. %_libdir/GNUstep-libFoundation/System/Library/Makefiles/GNUstep.sh
echo @@ $GNUSTEP_TARGET_OS - $GNUSTEP_HOST_OS
LIBRARY_COMBO=gnu-fd-nil
export LIBRARY_COMBO
%__make %libf_objc_makeflags GNUSTEP_TARGET_OS=$GNUSTEP_HOST_OS all

%install
. %_libdir/GNUstep-libFoundation/System/Library/Makefiles/GNUstep.sh
LIBRARY_COMBO=gnu-fd-nil
export LIBRARY_COMBO
%__make %libf_objc_makeflags install GNUSTEP_TARGET_OS=$GNUSTEP_HOST_OS\
	GNUSTEP_INSTALLATION_DIR=%buildroot%_libdir/GNUstep-libFoundation/System

install -d %buildroot%_libdir
#mv %buildroot%_libdir/GNUstep-libFoundation/System/Library/Libraries/ix86/linux-gnu/gnu-fd-nil/%_libdir/GNUstep-libFoundation/System/Library/Libraries/ix86/linux-gnu/gnu-fd-nil/%_libdir/GNUstep-libFoundation/System/Library/Libraries/ix86/linux-gnu/gnu-fd-nil/libobjc*.so.lf2* %buildroot%_libdir

install -d %buildroot/etc/ld.so.conf.d
echo '%_libdir/GNUstep-libFoundation/System/Library/Libraries/ix86/linux-gnu/gnu-fd-nil/' > %buildroot/etc/ld.so.conf.d/%name.conf

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
/etc/ld.so.conf.d/%name.conf
%_libdir/GNUstep-libFoundation/System/Library/Libraries/ix86/linux-gnu/gnu-fd-nil/libobjc*.so.lf2*
#%_libdir/libobjc*.so.lf2*

%files devel
%_libdir/GNUstep-libFoundation/System/Library/Headers/gnu-fd-nil/objc
%_libdir/GNUstep-libFoundation/System/Library/Libraries/ix86/linux-gnu/gnu-fd-nil/libobjc*.so

%changelog
* Sun Dec 04 2005 Vitaly Lipatov <lav@altlinux.ru> r135-alt0.2
- new version
- hack build in hasher
- hack library placement

* Sat Nov 05 2005 Vitaly Lipatov <lav@altlinux.ru> r130-alt0.1
- new version

* Fri Nov 04 2005 Vitaly Lipatov <lav@altlinux.ru> r124-alt0.1
- first build for ALT Linux Sisyphus
- spec from PLD Team <feedback@pld-linux.org>
